## linux 6.17.8

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
VERSION = 6
PATCHLEVEL = 17
SUBLEVEL = 8
EXTRAVERSION =
NAME = Baby Opossum Posse

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

ifeq ($(filter output-sync,$(.FEATURES)),)
$(error GNU Make >= 4.0 is required. Your Make version is $(MAKE_VERSION))
endif

$(if $(filter __%, $(MAKECMDGOALS)), \
	$(error targets prefixed with '__' are only for internal use))

# That's our default target when none is given on the command line
PHONY := __all
__all:

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.a targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

this-makefile := $(lastword $(MAKEFILE_LIST))
abs_srctree := $(realpath $(dir $(this-makefile)))
abs_output := $(CURDIR)

ifneq ($(sub_make_done),1)

# Do not use make's built-in rules and variables
# (this increases performance and avoids hard-to-debug behaviour)
MAKEFLAGS += -rR

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# Beautify output
# ---------------------------------------------------------------------------
#
# Most of build commands in Kbuild start with "cmd_". You can optionally define
# "quiet_cmd_*". If defined, the short log is printed. Otherwise, no log from
# that command is printed by default.
#
# e.g.)
#    quiet_cmd_depmod = DEPMOD  $(MODLIB)
#          cmd_depmod = $(srctree)/scripts/depmod.sh $(DEPMOD) $(KERNELRELEASE)
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#    $(Q)$(MAKE) $(build)=scripts/basic
#
# If KBUILD_VERBOSE contains 1, the whole command is echoed.
# If KBUILD_VERBOSE contains 2, the reason for rebuilding is printed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif

quiet = quiet_
Q = @

ifneq ($(findstring 1, $(KBUILD_VERBOSE)),)
  quiet =
  Q =
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands
ifneq ($(findstring s,$(firstword -$(MAKEFLAGS))),)
quiet=silent_
override KBUILD_VERBOSE :=
endif

export quiet Q KBUILD_VERBOSE

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/dev-tools/sparse.rst" for more details,
# including where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

export KBUILD_CHECKSRC

# Enable "clippy" (a linter) as part of the Rust compilation.
#
# Use 'make CLIPPY=1' to enable it.
ifeq ("$(origin CLIPPY)", "command line")
  KBUILD_CLIPPY := $(CLIPPY)
endif

export KBUILD_CLIPPY

# Use make M=dir or set the environment variable KBUILD_EXTMOD to specify the
# directory of external module to build. Setting M= takes precedence.
ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

ifeq ("$(origin MO)", "command line")
  KBUILD_EXTMOD_OUTPUT := $(MO)
endif

$(if $(word 2, $(KBUILD_EXTMOD)), \
	$(error building multiple external modules is not supported))

$(foreach x, % :, $(if $(findstring $x, $(KBUILD_EXTMOD)), \
	$(error module directory path cannot contain '$x')))

# Remove trailing slashes
ifneq ($(filter %/, $(KBUILD_EXTMOD)),)
KBUILD_EXTMOD := $(shell dirname $(KBUILD_EXTMOD).)
endif

export KBUILD_EXTMOD

ifeq ("$(origin W)", "command line")
  KBUILD_EXTRA_WARN := $(W)
endif

export KBUILD_EXTRA_WARN

# Kbuild will save output files in the current working directory.
# This does not need to match to the root of the kernel source tree.
#
# For example, you can do this:
#
#  cd /dir/to/store/output/files; make -f /dir/to/kernel/source/Makefile
#
# If you want to save output files in a different location, there are
# two syntaxes to specify it.
#
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the output directory.
# export KBUILD_OUTPUT=dir/to/store/output/files/; make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifdef KBUILD_EXTMOD
    ifdef KBUILD_OUTPUT
        objtree := $(realpath $(KBUILD_OUTPUT))
        $(if $(objtree),,$(error specified kernel directory "$(KBUILD_OUTPUT)" does not exist))
    else
        objtree := $(abs_srctree)
    endif
    # If Make is invoked from the kernel directory (either kernel
    # source directory or kernel build directory), external modules
    # are built in $(KBUILD_EXTMOD) for backward compatibility,
    # otherwise, built in the current directory.
    output := $(or $(KBUILD_EXTMOD_OUTPUT),$(if $(filter $(CURDIR),$(objtree) $(abs_srctree)),$(KBUILD_EXTMOD)))
    # KBUILD_EXTMOD might be a relative path. Remember its absolute path before
    # Make changes the working directory.
    srcroot := $(realpath $(KBUILD_EXTMOD))
    $(if $(srcroot),,$(error specified external module directory "$(KBUILD_EXTMOD)" does not exist))
else
    objtree := .
    output := $(KBUILD_OUTPUT)
endif

export objtree srcroot

# Do we want to change the working directory?
ifneq ($(output),)
# $(realpath ...) gets empty if the path does not exist. Run 'mkdir -p' first.
$(shell mkdir -p "$(output)")
# $(realpath ...) resolves symlinks
abs_output := $(realpath $(output))
$(if $(abs_output),,$(error failed to create output directory "$(output)"))
endif

ifneq ($(words $(subst :, ,$(abs_srctree))), 1)
$(error source directory cannot contain spaces or colons)
endif

export sub_make_done := 1

endif # sub_make_done

ifeq ($(abs_output),$(CURDIR))
# Suppress "Entering directory ..." if we are at the final work directory.
no-print-directory := --no-print-directory
else
# Recursion to show "Entering directory ..."
need-sub-make := 1
endif

ifeq ($(filter --no-print-directory, $(MAKEFLAGS)),)
# If --no-print-directory is unset, recurse once again to set it.
# You may end up recursing into __sub-make twice. This is needed due to the
# behavior change in GNU Make 4.4.1.
need-sub-make := 1
endif

ifeq ($(need-sub-make),1)

PHONY += $(MAKECMDGOALS) __sub-make

$(filter-out $(this-makefile), $(MAKECMDGOALS)) __all: __sub-make
	@:

# Invoke a second make in the output directory, passing relevant variables
__sub-make:
	$(Q)$(MAKE) $(no-print-directory) -C $(abs_output) \
	-f $(abs_srctree)/Makefile $(MAKECMDGOALS)

else # need-sub-make

# We process the rest of the Makefile if this is the final invocation of make

ifndef KBUILD_EXTMOD
srcroot := $(abs_srctree)
endif

ifeq ($(srcroot),$(CURDIR))
building_out_of_srctree :=
else
export building_out_of_srctree := 1
endif

ifdef KBUILD_ABS_SRCTREE
    # Do nothing. Use the absolute path.
else ifeq ($(srcroot),$(CURDIR))
    # Building in the source.
    srcroot := .
else ifeq ($(srcroot)/,$(dir $(CURDIR)))
    # Building in a subdirectory of the source.
    srcroot := ..
endif

export srctree := $(if $(KBUILD_EXTMOD),$(abs_srctree),$(srcroot))

ifdef building_out_of_srctree
export VPATH := $(srcroot)
else
VPATH :=
endif

# To make sure we do not include .config for any of the *config targets
# catch them early, and hand them over to scripts/kconfig/Makefile
# It is allowed to specify more targets when calling make, including
# mixing *config targets and build targets.
# For example 'make oldconfig all'.
# Detect when mixed targets is specified, and make a second invocation
# of make so .config is not included in this case either (for *config).

version_h := include/generated/uapi/linux/version.h

clean-targets := %clean mrproper cleandocs
no-dot-config-targets := $(clean-targets) \
			 cscope gtags TAGS tags help% %docs check% coccicheck \
			 $(version_h) headers headers_% archheaders archscripts \
			 %asm-generic kernelversion %src-pkg dt_binding_check \
			 outputmakefile rustavailable rustfmt rustfmtcheck
no-sync-config-targets := $(no-dot-config-targets) %install modules_sign kernelrelease \
			  image_name
single-targets := %.a %.i %.ko %.lds %.ll %.lst %.mod %.o %.rsi %.s %/

config-build	:=
mixed-build	:=
need-config	:= 1
may-sync-config	:= 1
single-build	:=

ifneq ($(filter $(no-dot-config-targets), $(MAKECMDGOALS)),)
    ifeq ($(filter-out $(no-dot-config-targets), $(MAKECMDGOALS)),)
        need-config :=
    endif
endif

ifneq ($(filter $(no-sync-config-targets), $(MAKECMDGOALS)),)
    ifeq ($(filter-out $(no-sync-config-targets), $(MAKECMDGOALS)),)
        may-sync-config :=
    endif
endif

need-compiler := $(may-sync-config)

ifneq ($(KBUILD_EXTMOD),)
    may-sync-config :=
endif

ifeq ($(KBUILD_EXTMOD),)
    ifneq ($(filter %config,$(MAKECMDGOALS)),)
        config-build := 1
        ifneq ($(words $(MAKECMDGOALS)),1)
            mixed-build := 1
        endif
    endif
endif

# We cannot build single targets and the others at the same time
ifneq ($(filter $(single-targets), $(MAKECMDGOALS)),)
    single-build := 1
    ifneq ($(filter-out $(single-targets), $(MAKECMDGOALS)),)
        mixed-build := 1
    endif
endif

# For "make -j clean all", "make -j mrproper defconfig all", etc.
ifneq ($(filter $(clean-targets),$(MAKECMDGOALS)),)
    ifneq ($(filter-out $(clean-targets),$(MAKECMDGOALS)),)
        mixed-build := 1
    endif
endif

# install and modules_install need also be processed one by one
ifneq ($(filter install,$(MAKECMDGOALS)),)
    ifneq ($(filter modules_install,$(MAKECMDGOALS)),)
        mixed-build := 1
    endif
endif

ifdef mixed-build
# ===========================================================================
# We're called with mixed targets (*config and build targets).
# Handle them one by one.

PHONY += $(MAKECMDGOALS) __build_one_by_one

$(MAKECMDGOALS): __build_one_by_one
	@:

__build_one_by_one:
	$(Q)set -e; \
	for i in $(MAKECMDGOALS); do \
		$(MAKE) -f $(srctree)/Makefile $$i; \
	done

else # !mixed-build

include $(srctree)/scripts/Kbuild.include

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(call read-file, $(objtree)/include/config/kernel.release)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)
export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION

include $(srctree)/scripts/subarch.include

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=arm64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).

=== drivers/dma/idxd/Makefile ===
ccflags-y += -DDEFAULT_SYMBOL_NAMESPACE='"IDXD"'

obj-$(CONFIG_INTEL_IDXD_BUS) += idxd_bus.o
idxd_bus-y := bus.o

obj-$(CONFIG_INTEL_IDXD) += idxd.o
idxd-y := init.o irq.o device.o sysfs.o submit.o dma.o cdev.o debugfs.o defaults.o

idxd-$(CONFIG_INTEL_IDXD_PERFMON) += perfmon.o

obj-$(CONFIG_INTEL_IDXD_COMPAT) += idxd_compat.o
idxd_compat-y := compat.o

=== drivers/tty/serial/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the kernel serial device drivers.
#

obj-$(CONFIG_SERIAL_CORE) += serial_base.o
serial_base-y := serial_core.o serial_base_bus.o serial_ctrl.o serial_port.o

obj-$(CONFIG_SERIAL_EARLYCON) += earlycon.o
obj-$(CONFIG_SERIAL_EARLYCON_SEMIHOST) += earlycon-semihost.o
obj-$(CONFIG_SERIAL_EARLYCON_RISCV_SBI) += earlycon-riscv-sbi.o

# These Sparc drivers have to appear before others such as 8250
# which share ttySx minor node space.  Otherwise console device
# names change and other unplesantries.
obj-$(CONFIG_SERIAL_SUNCORE) += suncore.o
obj-$(CONFIG_SERIAL_SUNHV) += sunhv.o
obj-$(CONFIG_SERIAL_SUNZILOG) += sunzilog.o
obj-$(CONFIG_SERIAL_SUNSU) += sunsu.o
obj-$(CONFIG_SERIAL_SUNSAB) += sunsab.o

obj-$(CONFIG_SERIAL_21285) += 21285.o

# Now bring in any enabled 8250/16450/16550 type drivers.
obj-y += 8250/

obj-$(CONFIG_SERIAL_ALTERA_JTAGUART)	+= altera_jtaguart.o
obj-$(CONFIG_SERIAL_ALTERA_UART)	+= altera_uart.o
obj-$(CONFIG_SERIAL_AMBA_PL010)		+= amba-pl010.o
obj-$(CONFIG_SERIAL_AMBA_PL011)		+= amba-pl011.o
obj-$(CONFIG_SERIAL_GRLIB_GAISLER_APBUART) += apbuart.o
obj-$(CONFIG_SERIAL_AR933X)		+= ar933x_uart.o
obj-$(CONFIG_SERIAL_ARC)		+= arc_uart.o
obj-$(CONFIG_SERIAL_ATMEL)		+= atmel_serial.o
obj-$(CONFIG_SERIAL_BCM63XX)		+= bcm63xx_uart.o
obj-$(CONFIG_SERIAL_CLPS711X)		+= clps711x.o
obj-$(CONFIG_SERIAL_CPM)		+= cpm_uart.o
obj-$(CONFIG_SERIAL_CONEXANT_DIGICOLOR)	+= digicolor-usart.o
obj-$(CONFIG_SERIAL_DZ)			+= dz.o
obj-$(CONFIG_SERIAL_ESP32)		+= esp32_uart.o
obj-$(CONFIG_SERIAL_ESP32_ACM)		+= esp32_acm.o
obj-$(CONFIG_SERIAL_FSL_LINFLEXUART)	+= fsl_linflexuart.o
obj-$(CONFIG_SERIAL_FSL_LPUART)		+= fsl_lpuart.o
obj-$(CONFIG_SERIAL_ICOM)		+= icom.o
obj-$(CONFIG_SERIAL_IMX)		+= imx.o
obj-$(CONFIG_SERIAL_IMX_EARLYCON)	+= imx_earlycon.o
obj-$(CONFIG_SERIAL_IP22_ZILOG)		+= ip22zilog.o
obj-$(CONFIG_SERIAL_JSM)		+= jsm/
obj-$(CONFIG_SERIAL_LANTIQ)		+= lantiq.o
obj-$(CONFIG_SERIAL_LITEUART)		+= liteuart.o
obj-$(CONFIG_SERIAL_HS_LPC32XX)		+= lpc32xx_hs.o
obj-$(CONFIG_SERIAL_MAX3100)		+= max3100.o
obj-$(CONFIG_SERIAL_MAX310X)		+= max310x.o
obj-$(CONFIG_SERIAL_MCF)		+= mcf.o
obj-$(CONFIG_SERIAL_MEN_Z135)		+= men_z135_uart.o
obj-$(CONFIG_SERIAL_MILBEAUT_USIO)	+= milbeaut_usio.o
obj-$(CONFIG_SERIAL_MESON)		+= meson_uart.o
obj-$(CONFIG_SERIAL_MPC52xx)		+= mpc52xx_uart.o
obj-$(CONFIG_SERIAL_MPS2_UART)		+= mps2-uart.o
obj-$(CONFIG_SERIAL_MSM)		+= msm_serial.o
obj-$(CONFIG_SERIAL_MUX)		+= mux.o
obj-$(CONFIG_SERIAL_MVEBU_UART)		+= mvebu-uart.o
obj-$(CONFIG_SERIAL_MXS_AUART)		+= mxs-auart.o
obj-$(CONFIG_SERIAL_OMAP)		+= omap-serial.o
obj-$(CONFIG_SERIAL_OWL)		+= owl-uart.o
obj-$(CONFIG_SERIAL_PCH_UART)		+= pch_uart.o
obj-$(CONFIG_SERIAL_PIC32)		+= pic32_uart.o
obj-$(CONFIG_SERIAL_PXA_NON8250)	+= pxa.o
obj-$(CONFIG_SERIAL_PMACZILOG)		+= pmac_zilog.o
obj-$(CONFIG_SERIAL_QCOM_GENI)		+= qcom_geni_serial.o
obj-$(CONFIG_SERIAL_QE)			+= ucc_uart.o
obj-$(CONFIG_SERIAL_RDA)		+= rda-uart.o
obj-$(CONFIG_SERIAL_RP2)		+= rp2.o
obj-$(CONFIG_SERIAL_RSCI)		+= rsci.o
obj-$(CONFIG_SERIAL_SA1100)		+= sa1100.o
obj-$(CONFIG_SERIAL_SAMSUNG)		+= samsung_tty.o
obj-$(CONFIG_SERIAL_SB1250_DUART)	+= sb1250-duart.o
obj-$(CONFIG_SERIAL_SCCNXP)		+= sccnxp.o
obj-$(CONFIG_SERIAL_SC16IS7XX)		+= sc16is7xx.o
obj-$(CONFIG_SERIAL_SC16IS7XX_SPI)	+= sc16is7xx_spi.o
obj-$(CONFIG_SERIAL_SC16IS7XX_I2C)	+= sc16is7xx_i2c.o
obj-$(CONFIG_SERIAL_SH_SCI)		+= sh-sci.o
obj-$(CONFIG_SERIAL_SIFIVE)		+= sifive.o
obj-$(CONFIG_SERIAL_SPRD)		+= sprd_serial.o
obj-$(CONFIG_SERIAL_ST_ASC)		+= st-asc.o
obj-$(CONFIG_SERIAL_STM32)		+= stm32-usart.o
obj-$(CONFIG_SERIAL_SUNPLUS)		+= sunplus-uart.o
obj-$(CONFIG_SERIAL_TEGRA)		+= serial-tegra.o
obj-$(CONFIG_SERIAL_TEGRA_TCU)		+= tegra-tcu.o
obj-$(CONFIG_SERIAL_TEGRA_UTC)		+= tegra-utc.o
obj-$(CONFIG_SERIAL_TIMBERDALE)		+= timbuart.o
obj-$(CONFIG_SERIAL_TXX9)		+= serial_txx9.o
obj-$(CONFIG_SERIAL_UARTLITE)		+= uartlite.o
obj-$(CONFIG_SERIAL_VT8500)		+= vt8500_serial.o
obj-$(CONFIG_SERIAL_XILINX_PS_UART)	+= xilinx_uartps.o
obj-$(CONFIG_SERIAL_ZS)			+= zs.o

# GPIOLIB helpers for modem control lines
obj-$(CONFIG_SERIAL_MCTRL_GPIO)	+= serial_mctrl_gpio.o

obj-$(CONFIG_KGDB_SERIAL_CONSOLE) += kgdboc.o
obj-$(CONFIG_SERIAL_NUVOTON_MA35D1) += ma35d1_serial.o

=== tools/testing/selftests/capabilities/Makefile ===
# SPDX-License-Identifier: GPL-2.0
TEST_GEN_FILES := validate_cap
TEST_GEN_PROGS := test_execve

CFLAGS += -O2 -g -std=gnu99 -Wall $(KHDR_INCLUDES)
LDLIBS += -lcap-ng -lrt -ldl

include ../lib.mk

=== tools/testing/selftests/kselftest_harness/Makefile ===
# SPDX-License-Identifier: GPL-2.0

TEST_GEN_PROGS_EXTENDED := harness-selftest
TEST_PROGS := harness-selftest.sh
TEST_FILES := harness-selftest.expected
EXTRA_CLEAN := harness-selftest.seen

include ../lib.mk

=== debian/changelog ===
linux (6.17.8-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.17.8
    - Revert "Bluetooth: L2CAP: convert timeouts to secs_to_jiffies()"
    - sched_ext: Mark scx_bpf_dsq_move_set_[slice|vtime]() with KF_RCU
    - NFSD: Define actions for the new time_deleg FATTR4 attributes
    - NFSD: Fix crash in nfsd4_read_release()
    - Revert "NFSD: Remove the cap on number of operations per NFSv4 COMPOUND"
    - net: usb: asix_devices: Check return value of usbnet_get_endpoints
    - fbcon: Set fb_display[i]->mode to NULL when the mode is released
    - fbdev: atyfb: Check if pll_ops->init_pll failed
    - ACPI: video: Fix use-after-free in acpi_video_switch_brightness()
    - ACPI: button: Call input_free_device() on failing input device
      registration
    - ACPI: fan: Use platform device for devres-related actions
    - virtio-net: drop the multi-buffer XDP packet in zerocopy
    - batman-adv: Release references to inactive interfaces
    - fbdev: bitblit: bound-check glyph index in bit_putcs*
    - Bluetooth: rfcomm: fix modem control handling
    - net: phy: dp83867: Disable EEE support as not implemented
    - wifi: brcmfmac: fix crash while sending Action Frames in standalone AP
      Mode
    - mptcp: drop bogus optimization in __mptcp_check_push()
    - mptcp: restore window probe
    - [arm64] ASoC: qdsp6: q6asm: do not sleep while atomic
    - [s390x] pci: Restore IRQ unconditionally for the zPCI device
    - smb: client: fix potential cfid UAF in smb2_query_info_compound
    - [amd64] x86/CPU/AMD: Add RDSEED fix for Zen5
    - [amd64] x86/fpu: Ensure XFD state on signal delivery
    - wifi: ath10k: Fix memory leak on unsupported WMI command
    - wifi: ath11k: Add missing platform IDs for quirk table
    - wifi: ath12k: free skb during idr cleanup callback
    - wifi: ath11k: avoid bit operation on key flags
    - [arm64] drm/msm: Fix GEM free for imported dma-bufs
    - [arm64] drm/msm/a6xx: Fix GMU firmware parser
    - [arm64] drm/msm: make sure last_fence is always updated
    - ALSA: usb-audio: fix control pipe direction
    - wifi: iwlwifi: fix potential use after free in iwl_mld_remove_link()
    - wifi: mac80211: reset FILS discovery and unsol probe resp intervals
    - wifi: mac80211: fix key tailroom accounting leak
    - wifi: nl80211: call kfree without a NULL check
    - bpf: Sync pending IRQ work before freeing ring buffer
    - scsi: ufs: core: Initialize value of an attribute returned by uic cmd
    - scsi: core: Fix the unit attention counter implementation
    - bpf: Do not audit capability check in do_jit()
    - nvmet-auth: update sc_c in host response
    - [s390x] crypto: s390/phmac - Do not modify the req->nbytes value
    - crypto: aspeed - fix double free caused by devm
    - [amd64] ASoC: Intel: avs: Unprepare a stream when XRUN occurs
    - [amd64] ASoC: Intel: avs: Disable periods-elapsed work when closing PCM
    - [arm64,armhf] ASoC: fsl_sai: fix bit order for DSD format
    - [arm64] ASoC: fsl_micfil: correct the endian format for DSD
    - [arm64] ASoC: mediatek: Fix double pm_runtime_disable in remove functions
    - usbnet: Prevents free active kevent
    - Bluetooth: hci_sync: fix race in hci_cmd_sync_dequeue_once
    - Bluetooth: ISO: Fix BIS connection dst_type handling
    - Bluetooth: btmtksdio: Add pmctrl handling for BT closed state during reset
    - Bluetooth: HCI: Fix tracking of advertisement set/instance 0x00
    - Bluetooth: MGMT: fix crash in set_mesh_sync and set_mesh_complete
    - Bluetooth: ISO: Fix another instance of dst_type handling
    - Bluetooth: btintel_pcie: Fix event packet loss issue
    - Bluetooth: hci_conn: Fix connection cleanup with BIG with 2 or more BIS
    - Bluetooth: hci_core: Fix tracking of periodic advertisement
    - bpf: Conditionally include dynptr copy kfuncs
    - [arm64] drm/msm: Ensure vm is created in VM_BIND ioctl
    - ALSA: usb-audio: add mono main switch to Presonus S1824c
    - ALSA: usb-audio: don't log messages meant for 1810c when initializing
      1824c
    - [amd64] ACPI: MRRM: Check revision of MRRM table
    - [arm64,armhf] drm/etnaviv: fix flush sequence logic
    - [arm64] net: hns3: return error code when function fails
    - sfc: fix potential memory leak in efx_mae_process_mport()
    - dpll: spec: add missing module-name and clock-id to pin-get reply
    - [arm64,armhf] ASoC: fsl_sai: Fix sync error in consumer mode
    - [amd64] ASoC: soc_sdw_utils: remove cs42l43 component_name
    - drm/radeon: Do not kfree() devres managed rdev
    - drm/radeon: Remove calls to drm_put_dev()
    - drm/amd/pm: fix smu table id bound check issue in smu_cmn_update_table()
    - drm/amd/pm/powerplay/smumgr: Fix PCIeBootLinkLevel value on Fiji
    - drm/amd/pm/powerplay/smumgr: Fix PCIeBootLinkLevel value on Iceland
    - drm/amdgpu: fix SPDX headers on amdgpu_cper.c/h
    - drm/amdgpu: fix SPDX header on amd_cper.h
    - drm/amdgpu: fix SPDX header on irqsrcs_vcn_5_0.h
    - ACPI: fan: Use ACPI handle when retrieving _FST
    - block: fix op_is_zone_mgmt() to handle REQ_OP_ZONE_RESET_ALL
    - block: make REQ_OP_ZONE_OPEN a write operation
    - dma-fence: Fix safe access wrapper to call timeline name method
    - kbuild: align modinfo section for Secureboot Authenticode EDK2 compat
    - regmap: slimbus: fix bus_context pointer in regmap init calls
    - regmap: irq: Correct documentation of wake_invert flag
    - [s390x] pci: Avoid deadlock between PCI error recovery and mlx5 crdump
    - [s390x] Disable ARCH_WANT_OPTIMIZE_HUGETLB_VMEMMAP
    - [s390x] mm: Fix memory leak in add_marker() when kvrealloc() fails
    - drm/xe: Do not wake device during a GT reset
    - drm/sysfb: Do not dereference NULL pointer in plane reset
    - drm/sched: avoid killing parent entity on child SIGKILL
    - drm/sched: Fix race in drm_sched_entity_select_rq()
    - drm/nouveau: Fix race in nouveau_sched_fini()


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 13), python3:native, python3-dacite:native, python3-jinja2:native, kernel-wedge (>= 2.105~), quilt, dh-python <!pkg.linux.notools>
Build-Depends-Arch: gcc-15-for-host [alpha amd64 arm64 armel armhf hppa loong64 m68k mips mips64 mips64el mips64r6el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, gcc-arm-linux-gnueabihf [arm64] <!pkg.linux.nokernel>, gcc-15-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel>, python3-docutils [amd64 arm64 armhf i386 linux-any x32] <!pkg.linux.mintools !pkg.linux.notools>, binutils-dev [hppa] <!pkg.linux.mintools !pkg.linux.notools>, libelf-dev [linux-any] <!pkg.linux.notools>, zlib1g-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libcap-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libpci-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libnl-3-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libnl-genl-3-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, asciidoctor [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nodoc !nopython !pkg.linux.mintools !pkg.linux.notools>, gcc-multilib [amd64 mips64 mips64el mips64r6 mips64r6el ppc64 s390x sparc64] <!cross !nopython !pkg.linux.mintools !pkg.linux.notools>, libaudit-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libbabeltrace-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libdebuginfod-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libdw-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libnewt-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libnuma-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libopencsd-dev (>= 1.1.1) [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libperl-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libpython3-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libtraceevent-dev (>= 1:1.5) [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64 x32] <!pkg.linux.mintools !pkg.linux.notools>, libunwind-dev [amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el sh4] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libzstd-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, python3-dev:any [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, python3-setuptools [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, autoconf [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, automake [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libtool [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libglib2.0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libudev-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libwrap0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, rsync [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libtracefs-dev (>= 1.3) [amd64 arm64 armhf i386 x32] <!pkg.linux.mintools !pkg.linux.notools>, libconfig-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libncurses-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libssl-dev [linux-any] <!pkg.linux.notools>, bison [alpha amd64 arm64 armel armhf hppa linux-any loong64 m68k mips mips64 mips64el mips64r6el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.notools> <!pkg.linux.nokernel>, flex [alpha amd64 arm64 armel armhf hppa linux-any loong64 m68k mips mips64 mips64el mips64r6el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.notools> <!pkg.linux.nokernel>, kernel-wedge (>= 2.105~) [alpha amd64 arm64 armel armhf hppa loong64 m68k mips mips64 mips64el mips64r6el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, kmod [alpha amd64 arm64 armel armhf hppa loong64 m68k mips mips64 mips64el mips64r6el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, bc [alpha amd64 arm64 armel armhf hppa loong64 m68k mips mips64 mips64el mips64r6el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, libssl-dev:native [alpha amd64 arm64 armel armhf hppa loong64 m68k mips mips64 mips64el mips64r6el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, openssl [alpha amd64 arm64 armel armhf hppa loong64 m68k mips mips64 mips64el mips64r6el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, libelf-dev:native [alpha amd64 arm64 armel armhf hppa loong64 m68k mips mips64 mips64el mips64r6el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, pahole [alpha amd64 arm64 armel armhf hppa loong64 m68k mips mips64 mips64el mips64r6el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, lz4 [alpha amd64 arm64 armel armhf hppa loong64 m68k mips mips64 mips64el mips64r6el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, xz-utils [alpha amd64 arm64 armel armhf hppa loong64 m68k mips mips64 mips64el mips64r6el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, zstd [alpha amd64 arm64 armel armhf hppa loong64 m68k mips mips64 mips64el mips64r6el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>
Build-Depends-Indep: cpio <!nodoc !pkg.linux.quick> <!pkg.linux.nokernel>, graphviz <!nodoc !pkg.linux.quick>, python3-sphinx <!nodoc !pkg.linux.quick>, python3-sphinx-rtd-theme <!nodoc !pkg.linux.quick>, texlive-latex-base <!nodoc !pkg.linux.quick>, texlive-latex-extra <!nodoc !pkg.linux.quick>, dvipng <!nodoc !pkg.linux.quick>, python3-yaml <!nodoc !pkg.linux.quick>, sphinx-common <!nodoc !pkg.linux.quick>, patchutils <!pkg.linux.nosource !pkg.linux.quick>, xz-utils <!pkg.linux.nosource !pkg.linux.quick>, rsync
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: bpftool
Architecture: linux-any
Section: devel
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Inspection and simple manipulation of BPF programs and maps
 The bpftool command allows for inspection and simple modification of
 Berkeley Packet Filter (BPF) objects on the system.

Package: hyperv-daemons
Architecture: amd64 arm64 i386 x32
Section: admin
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Support daemons for Linux running on Hyper-V
 Suite of daemons for Linux guests running on Hyper-V, consisting of
 hv_kvp_daemon and hv_vss_daemon.
 .
 hv_kvp_daemon provides the key-value pair (KVP) service, allowing the host
 to get and set the IP networking configuration of the guest.  (This
 requires helper scripts which are not currently included.)
 .
 hv_vss_daemon provides the volume shadow copy service (VSS), allowing the
 host to freeze the guest filesystems while taking a snapshot.

Package: intel-sdsi
Architecture: amd64
Section: admin
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Intel On Demand (SDSi) provisioning tool
 intel_sdsi is a tool for key certificate and activation payload
 provisioning on Intel Xeon family processors with support for Intel On
 Demand (formerly known as Software Defined Silicon or SDSi).
 .
 intel_sdsi allows the configuration of additional CPU features through a
 license activation process.

Package: libcpupower-dev
Architecture: linux-any
Section: libdevel
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Provides: libcpufreq-dev
Depends: ${misc:Depends}, libcpupower1 (= ${binary:Version})
Replaces: libcpufreq-dev
Conflicts: libcpufreq-dev
Description: CPU frequency and voltage scaling tools for Linux (development files)
 libcpupower is a library for inspecting and controlling cpufreq and
 cpuidle tunables.
 .
 This package is needed to compile programs against libcpupower.

Package: libcpupower1
Architecture: linux-any
Section: libs
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU frequency and voltage scaling tools for Linux (libraries)
 libcpupower is a library for inspecting and controlling cpufreq and
 cpuidle tunables.
 .
 This package contains the shared library.

Package: linux-bpf-dev
Architecture: alpha amd64 arm64 armhf hppa loong64 m68k ppc64 ppc64el riscv64 s390x sparc64
Section: devel
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Depends: ${misc:Depends}
Multi-Arch: same
Description: Headers for BPF development
 The vmlinux.h header is provided to allow userspace to build BPF CO-RE
 programs targeting the packaged kernel.

Package: linux-config-6.17
Architecture: linux-any
Build-Profiles: <!pkg.linux.nosource>
Depends: ${misc:Depends}

=== debian/tests/control ===
Test-Command: py.test debian/lib/python
Restrictions: superficial
Depends: python3-pytest, python3-jinja2

Test-Command: debian/tests/headers-kbuild 6.17.8+deb14-alpha-generic
Architecture: alpha
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-alpha-generic
Depends: linux-headers-6.17.8+deb14-alpha-generic, linux-image-6.17.8+deb14-alpha-generic

Test-Command: debian/tests/headers-kbuild 6.17.8+deb14-alpha-smp
Architecture: alpha
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-alpha-smp
Depends: linux-headers-6.17.8+deb14-alpha-smp, linux-image-6.17.8+deb14-alpha-smp

Test-Command: debian/tests/headers-kbuild 6.17.8+deb14-amd64
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-amd64
Depends: linux-headers-6.17.8+deb14-amd64, linux-image-6.17.8+deb14-amd64-unsigned

Test-Command: debian/tests/headers-kbuild 6.17.8+deb14-cloud-amd64
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-cloud-amd64
Depends: linux-headers-6.17.8+deb14-cloud-amd64, linux-image-6.17.8+deb14-cloud-amd64-unsigned

Test-Command: debian/tests/headers-kbuild 6.17.8+deb14-rt-amd64
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-rt-amd64
Depends: linux-headers-6.17.8+deb14-rt-amd64, linux-image-6.17.8+deb14-rt-amd64-unsigned

Test-Command: debian/tests/headers-kbuild 6.17.8+deb14-test
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-test
Depends: linux-headers-6.17.8+deb14-test, linux-image-6.17.8+deb14-test-unsigned

Test-Command: debian/tests/headers-kbuild 6.17.8+deb14-arm64
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-arm64
Depends: linux-headers-6.17.8+deb14-arm64, linux-image-6.17.8+deb14-arm64-unsigned

Test-Command: debian/tests/headers-kbuild 6.17.8+deb14-cloud-arm64
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-cloud-arm64
Depends: linux-headers-6.17.8+deb14-cloud-arm64, linux-image-6.17.8+deb14-cloud-arm64-unsigned

Test-Command: debian/tests/headers-kbuild 6.17.8+deb14-arm64-16k
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-arm64-16k
Depends: linux-headers-6.17.8+deb14-arm64-16k, linux-image-6.17.8+deb14-arm64-16k-unsigned

Test-Command: debian/tests/headers-kbuild 6.17.8+deb14-rt-arm64
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-rt-arm64
Depends: linux-headers-6.17.8+deb14-rt-arm64, linux-image-6.17.8+deb14-rt-arm64-unsigned

Test-Command: debian/tests/headers-kbuild 6.17.8+deb14-test
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-test

## linux 6.17.9

=== debian/changelog ===
linux (6.17.9-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.17.9
    - [arm64] drm/mediatek: Add pm_runtime support for GCE power control
    - [amd64] drm/i915: Avoid lock inversion when pinning to GGTT on CHV/BXT+VTD
    - [amd64] drm/i915: Fix conversion between clock ticks and nanoseconds
    - drm/amdgpu: set default gfx reset masks for gfx6-8
    - drm/amd/display: Don't stretch non-native images by default in eDP
    - smb: client: fix refcount leak in smb2_set_path_attr
    - iommufd: Make vfio_compat's unmap succeed if the range is already empty
    - futex: Optimize per-cpu reference counting
    - drm/amd: Fix suspend failure with secure display TA
    - drm/xe/guc: Synchronize Dead CT worker with unbind
    - drm/xe: Move declarations under conditional branch
    - drm/xe: Do clean shutdown also when using flr
    - drm/amd/display: Add pixel_clock to amd_pp_display_configuration
    - drm/amd/pm: Use pm_display_cfg in legacy DPM (v2)
    - drm/amd/display: Disable fastboot on DCE 6 too
    - drm/amd/pm: Disable MCLK switching on SI at high pixel clocks
    - drm/amd: Disable ASPM on SI
    - [arm64] kprobes: check the return value of set_memory_rox()
    - compiler_types: Move unused static inline functions warning to W=2
    - [riscv64] clear hot-unplugged cores from all task mm_cpumasks to avoid
      rfence errors
    - [riscv64] acpi: avoid errors caused by probing DT devices when ACPI is
      used
    - fs: return EOPNOTSUPP from file_setattr/file_getattr syscalls
    - [amd64] ASoC: nau8821: Avoid unnecessary blocking in IRQ handler
    - drm/amdgpu: remove two invalid BUG_ON()s
    - drm/amdgpu: hide VRAM sysfs attributes on GPUs without VRAM
    - drm/amdgpu: Fix NULL pointer dereference in VRAM logic for APU devices
    - NFS4: Fix state renewals missing after boot
    - drm/amdkfd: fix suspend/resume all calls in mes based eviction path
    - NFS4: Apply delay_retrans to async operations
    - HID: intel-thc-hid: intel-quickspi: Add ARL PCI Device Id's
    - HID: quirks: avoid Cooler Master MM712 dongle wakeup bug
    - ixgbe: handle IXGBE_VF_GET_PF_LINK_STATE mailbox operation
    - HID: nintendo: Wait longer for initial probe
    - NFS: check if suid/sgid was cleared after a write as needed
    - HID: quirks: Add ALWAYS_POLL quirk for VRS R295 steering wheel
    - exfat: fix improper check of dentry.stream.valid_size
    - io_uring: fix unexpected placement on same size resizing
    - smb/server: fix possible memory leak in smb2_read()
    - smb/server: fix possible refcount leak in smb2_sess_setup()
    - HID: logitech-hidpp: Add HIDPP_QUIRK_RESET_HI_RES_SCROLL
    - ASoC: max98090/91: fixed max98091 ALSA widget powering up/down
    - ALSA: hda/realtek: Fix mute led for HP Omen 17-cb0xxx
    - ixgbe: handle IXGBE_VF_FEATURES_NEGOTIATE mbox cmd
    - wifi: ath11k: zero init info->status in wmi_process_mgmt_tx_comp()
    - erofs: avoid infinite loop due to incomplete zstd-compressed data
    - [arm64,armhf] net: fec: correct rx_bytes statistic for the case SHIFT16 is
      set
    - net: phy: micrel: Introduce lanphy_modify_page_reg
    - net: phy: micrel: Replace hardcoded pages with defines
    - net: phy: micrel: lan8814 fix reset of the QSGMII interface
    - NFSD: Skip close replay processing if XDR encoding fails
    - Bluetooth: MGMT: cancel mesh send timer when hdev removed
    - Bluetooth: btusb: reorder cleanup in btusb_disconnect to avoid UAF
    - Bluetooth: 6lowpan: reset link-local header on ipv6 recv path
    - Bluetooth: 6lowpan: fix BDADDR_LE vs ADDR_LE_DEV address type confusion
    - Bluetooth: 6lowpan: Don't hold spin lock over sleeping functions
    - Bluetooth: hci_conn: Fix not cleaning up PA_LINK connections
    - sctp: prevent possible shift-out-of-bounds in sctp_transport_update_rto
    - [armhf] net: dsa: tag_brcm: do not mark link local traffic as offloaded
    - net/smc: fix mismatch between CLC header and proposal
    - net/handshake: Fix memory leak in tls_handshake_accept()
    - tipc: Fix use-after-free in tipc_mon_reinit_self().
    - net: mdio: fix resource leak in mdiobus_register_device()
    - wifi: mac80211: skip rate verification for not captured PSDUs
    - af_unix: Initialise scc_index in unix_add_edge().
    - Bluetooth: hci_event: Fix not handling PA Sync Lost event
    - net: sched: act_connmark: initialize struct tc_ife to fix kernel leak
    - net: sched: act_ife: initialize struct tc_ife to fix KMSAN kernel-infoleak
    - net/mlx5e: Fix missing error assignment in mlx5e_xfrm_add_state()
    - net/mlx5e: Fix maxrate wraparound in threshold between units
    - net/mlx5e: Fix wraparound in rate limiting for values above 255 Gbps
    - net/mlx5e: Fix potentially misleading debug message
    - net/mlx5: Fix typo of MLX5_EQ_DOORBEL_OFFSET
    - net/mlx5: Store the global doorbell in mlx5_priv
    - net/mlx5e: Prepare for using different CQ doorbells
    - mlx5: Fix default values in create CQ
    - net_sched: limit try_bulk_dequeue_skb() batches
    - wifi: iwlwifi: mvm: fix beacon template/fixed rate
    - wifi: iwlwifi: mld: always take beacon ies in link grading
    - virtio-net: fix incorrect flags recording in big mode
    - hsr: Fix supervision frame sending on HSRv0
    - hsr: Follow standard for HSRv0 supervision frames
    - [amd64] ACPI: CPPC: Detect preferred core availability on online CPUs
    - [amd64] ACPI: CPPC: Check _CPC validity for only the online CPUs
    - [amd64] ACPI: CPPC: Perform fast check switch only for online CPUs
    - [amd64] ACPI: CPPC: Limit perf ctrs in PCC check only to online CPUs
    - [amd64] cpufreq: intel_pstate: Check IDA only before MSR_IA32_PERF_CTL
      writes
    - Bluetooth: L2CAP: export l2cap_chan_hold for modules
    - netfilter: nft_ct: add seqadj extension for natted connections
    - io_uring/rsrc: don't use blk_rq_nr_phys_segments() as number of bvecs


=== debian/tests/control ===
Test-Command: py.test debian/lib/python
Restrictions: superficial
Depends: python3-pytest, python3-jinja2

Test-Command: debian/tests/headers-kbuild 6.17.9+deb14-alpha-generic
Architecture: alpha
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-alpha-generic
Depends: linux-headers-6.17.9+deb14-alpha-generic, linux-image-6.17.9+deb14-alpha-generic

Test-Command: debian/tests/headers-kbuild 6.17.9+deb14-alpha-smp
Architecture: alpha
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-alpha-smp
Depends: linux-headers-6.17.9+deb14-alpha-smp, linux-image-6.17.9+deb14-alpha-smp

Test-Command: debian/tests/headers-kbuild 6.17.9+deb14-amd64
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-amd64
Depends: linux-headers-6.17.9+deb14-amd64, linux-image-6.17.9+deb14-amd64-unsigned

Test-Command: debian/tests/headers-kbuild 6.17.9+deb14-cloud-amd64
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-cloud-amd64
Depends: linux-headers-6.17.9+deb14-cloud-amd64, linux-image-6.17.9+deb14-cloud-amd64-unsigned

Test-Command: debian/tests/headers-kbuild 6.17.9+deb14-rt-amd64
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-rt-amd64
Depends: linux-headers-6.17.9+deb14-rt-amd64, linux-image-6.17.9+deb14-rt-amd64-unsigned

Test-Command: debian/tests/headers-kbuild 6.17.9+deb14-test
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-test
Depends: linux-headers-6.17.9+deb14-test, linux-image-6.17.9+deb14-test-unsigned

Test-Command: debian/tests/headers-kbuild 6.17.9+deb14-arm64
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-arm64
Depends: linux-headers-6.17.9+deb14-arm64, linux-image-6.17.9+deb14-arm64-unsigned

Test-Command: debian/tests/headers-kbuild 6.17.9+deb14-cloud-arm64
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-cloud-arm64
Depends: linux-headers-6.17.9+deb14-cloud-arm64, linux-image-6.17.9+deb14-cloud-arm64-unsigned

Test-Command: debian/tests/headers-kbuild 6.17.9+deb14-arm64-16k
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-arm64-16k
Depends: linux-headers-6.17.9+deb14-arm64-16k, linux-image-6.17.9+deb14-arm64-16k-unsigned

Test-Command: debian/tests/headers-kbuild 6.17.9+deb14-rt-arm64
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-rt-arm64
Depends: linux-headers-6.17.9+deb14-rt-arm64, linux-image-6.17.9+deb14-rt-arm64-unsigned

Test-Command: debian/tests/headers-kbuild 6.17.9+deb14-test
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-test
